/**
  * stripe elements styles
  */

.StripeElement {
  background-color: white;
  height: 40px;
  padding: 10px 12px;
  border-radius: 4px;
  border: 1px solid #ced4da;
  width: 100%;
  -webkit-box-shadow: 0 1px 3px 0 #e6ebf1;
          box-shadow: 0 1px 3px 0 #e6ebf1;
  -webkit-transition: box-shadow 150ms ease;
  -webkit-transition: -webkit-box-shadow 150ms ease;
  transition: -webkit-box-shadow 150ms ease;
  transition: box-shadow 150ms ease;
  transition: box-shadow 150ms ease, -webkit-box-shadow 150ms ease;
}

.StripeElement--focus {
  -webkit-box-shadow: 0 1px 3px 0 #cfd7df;
          box-shadow: 0 1px 3px 0 #cfd7df;
}

.StripeElement--invalid {
  border-color: #e3342f;
}

.StripeElement--webkit-autofill {
  background-color: #fefde5 !important;
}

.form-control::-webkit-input-placeholder {
  color: darkgray;
}

.form-control::-ms-input-placeholder {
  color: darkgray;
}

.form-control::placeholder {
  color: darkgray;
}

.shipping-method-options.is-invalid,
.pickup-date-options.is-invalid {
  border: 1px solid #e3342f;
  border-radius: 0.25rem;
}

#card-errors {
  color: #e3342f;
}

.shipping-method-options.is-invalid + .invalid-feedback,
.pickup-date-options.is-invalid + .invalid-feedback {
  display: block;
}

.address-type-label {
  font-family: 'roboto condensed', Arial, sans-serif;
  font-weight: bold;
  font-size: 1.1rem;
  padding-right: .5rem;
  text-transform: uppercase;
}

.card-header.dark-bg {
  color: #fff;
  background-color: #4A4A4A;
}

.grand-total-row {
  font-size: 1.5rem;
  font-family: 'roboto condensed', Arial, sans-serif;
}

.cart-items-wrapper {
  background-color: #eee;
  font-size: 0.8rem;
}

.cart-items.table th {
  border-top: none;
}

.card-summary hr {
  margin-top: 0.7rem;
  margin-bottom: 0.7rem;
}

.shipping-method-list {
  margin-bottom: 0;
}

.shipping-method-list th {
  border-top: none;
}

.shipping-method-list thead th {
  padding-top: 0;
  padding-left: 0;
}

.shipping-method-list td {
  padding-left: 0;
}

.button-loader {
  display: inline-block;
  vertical-align: middle;
}

